{ ... }: {
  programs.starship = {
    enable = true;

    settings = {
    	format = "$username@$hostname:$directory($cmd_duration)$character";

	directory = {
	  style = "blue";
	};

	character = {
	  success_symbol = "[❯](purple)";
	  error_symbol = "[❯](red)";
	  vimcmd_symbol = "[❮](green)";
	};

	cmd_duration = {
	  format = "[$duration]($style) ";
	  style = "yellow";
	};

	username = {
	  format = "[$user](bold white)";
	};

	hostname = {
	  ssh_only = false;
	  format = "[$hostname](bold red)";
	  disabled = false;
	};
    };
  };
}
